package com.sooka.sponest.monitor.camera.mapper;

import com.sooka.sponest.monitor.camera.domain.CentermonitorTCamera;
import com.sooka.sponest.monitor.camera.domain.CentermonitorTCameraImg;
import org.springframework.stereotype.Repository;

import java.util.ArrayList;
import java.util.List;


/**
 * 摄像头Mapper接口
 *
 * @author ruoyi
 * @date 2022-06-08
 */
@Repository
public interface CentermonitorTCameraMapper {

    /**
     * 查询摄像头
     *
     * @param id 摄像头主键
     * @return 摄像头
     */
    CentermonitorTCamera selectCentermonitorTCameraById(String id);


    /**
     * 根据摄像头id查询其id下的摄像头图片
     */
    List<CentermonitorTCamera> SelectByIdcreameType(String cameraId);

    ArrayList<CentermonitorTCameraImg> selectCentermonitorTCameraImgByCameraId(String id);
}

