package com.sooka.sponest.data.attach.mapper;

import com.ruoyi.common.datascope.base.util.database.DynamicDataSourceSwitcher;
import com.sooka.sponest.data.attach.domain.CenterdataTAttach;
import com.sooka.sponest.monitor.base.util.database.MyDataSource;
import org.springframework.stereotype.Repository;

/**
 * 附件Mapper接口
 *
 * @author ruoyi
 * @date 2022-06-11
 */
@Repository
public interface CenterdataTAttachMapper {

    /**
     * 新增附件
     *
     * @param centerdataTAttach 附件
     * @return 结果
     */
    @MyDataSource(value = DynamicDataSourceSwitcher.dbCenterData)
    int insertCenterdataTAttach(CenterdataTAttach centerdataTAttach);
}
