package com.sooka.sponest.event.download.service.impl;

import com.ruoyi.common.core.utils.DateUtils;
import com.sooka.sponest.event.download.domain.CentereventTDownloads;
import com.sooka.sponest.event.download.mapper.CentereventTDownloadsMapper;
import com.sooka.sponest.event.download.service.ICentereventTDownloadsService;
import com.sooka.sponest.monitor.dahua.domain.PlayBackProperties;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

@Service
public class CentereventTDownloadsServiceImpl implements ICentereventTDownloadsService {

    @Autowired
    private CentereventTDownloadsMapper centereventTDownloadsMapper;

    @Override
    public List<PlayBackProperties> downloadsCommon(Map<String, Object> params) {
        return centereventTDownloadsMapper.getbeforedateDownload(params);
    }

    @Override
    public int insertCentereventTDownloads(CentereventTDownloads centereventTDownloads) {
        centereventTDownloads.setCreateTime(DateUtils.getNowDate());
        return centereventTDownloadsMapper.insertCentereventTDownloads(centereventTDownloads);
    }
}
