package com.sooka.sponest.monitor.dahua.service;


import com.dahuatech.hutool.http.Method;
import com.dahuatech.hutool.json.JSONObject;
import com.ruoyi.common.core.web.domain.AjaxResult;
import com.sooka.sponest.monitor.dahua.domain.PlayBackProperties;

import java.util.List;


public interface DahuaService {

    /**
     * 摄像头获取回放
     * @return
     */
    AjaxResult getPlaybackByTime(List<PlayBackProperties> propertiesList);

    Long getTimeSeconds(String time);

    /**
     * 获取token方法
     * 调用此方法以获取token
     * */
    String getToken();

    JSONObject IccHttpHttpRequest(String url, Method method, String param, String token, String action);

    boolean isWindows();

    String secondsToFormat(Long seconds);
}
