package com.sooka.sponest.monitor.feign;

import com.ruoyi.common.core.domain.R;
import com.ruoyi.common.log.annotation.Log;
import com.ruoyi.common.log.enums.BusinessType;
import com.ruoyi.system.api.domain.SysFile;
import com.sooka.sponest.monitor.remoteapi.service.file.RemoteFileBaseService;
import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;

/**
 * 监控中心远程接口控制器
 */
@Api(tags = "监控中心远程接口控制器")
@RestController
@RequestMapping("/centerMonitorFeign")
public class CenterMonitorFeignController {

    @Autowired
    private RemoteFileBaseService remoteFileBaseService;

    /**
     * 病虫害文件上传
     */
    @Log(title = "监控中心", businessType = BusinessType.OTHER)
    @PostMapping ("/upload")
    public R<SysFile> upload(MultipartFile file) {
        return remoteFileBaseService.upload(file);

    }
}
